<?php
declare(strict_types=1);

namespace Inti\Wp\Provider\Type\Post;

use WP_Post_Type;
use function get_post_type_object;

/**
 * Class Post
 *
 * @package Inti\Wp\Provider\Type\Post
 * @author Danijel Fabijan <hipnaba@gmail.com>
 * @link https://bitbucket.org/oktan-nautika/inti-wp-provider
 */
class Post extends AbstractPostType
{
    protected WP_Post_Type $type;

    protected function __construct()
    {
        parent::__construct();
        /** @noinspection PhpFieldAssignmentTypeMismatchInspection */
        $this->type = get_post_type_object($this->getName());
    }

    public function getName(): string
    {
        return 'post';
    }

    public function getLabel(): string
    {
        return $this->type->label;
    }

    public function isBuiltin(): bool
    {
        return true;
    }
}
